class MockReposApi():
    def get_all_public_repos(self):
        return [
            {
                "databaseId": 1,
                "node_id": "MDEwOlJlcG9zaXRvcnkx",
                "name": "website",
                "nameWithOwner": "gitlab/website",
                "visibility": "private",
                "isArchived": False,
                "owner": {
                    "login": "gitlab",
                    "id": 3,
                    "node_id": "MDQ6VXNlcjM=",
                    "avatar_url": "https://github.example.net/avatars/u/3?",
                    "gravatar_id": "",
                    "url": "https://github.example.net/api/v3/users/gitlab",
                    "html_url": "https://github.example.net/gitlab",
                    "followers_url": "https://github.example.net/api/v3/users/gitlab/followers",
                    "following_url": "https://github.example.net/api/v3/users/gitlab/following{/other_user}",
                    "gists_url": "https://github.example.net/api/v3/users/gitlab/gists{/gist_id}",
                    "starred_url": "https://github.example.net/api/v3/users/gitlab/starred{/owner}{/repo}",
                    "subscriptions_url": "https://github.example.net/api/v3/users/gitlab/subscriptions",
                    "organizations_url": "https://github.example.net/api/v3/users/gitlab/orgs",
                    "repos_url": "https://github.example.net/api/v3/users/gitlab/repos",
                    "events_url": "https://github.example.net/api/v3/users/gitlab/events{/privacy}",
                    "received_events_url": "https://github.example.net/api/v3/users/gitlab/received_events",
                    "__typename": "User",
                    "site_admin": True
                },
                "html_url": "https://github.example.net/gitlab/website",
                "description": None,
                "fork": False,
                "url": "https://github.example.net/api/v3/repos/gitlab/website",
                "forks_url": "https://github.example.net/api/v3/repos/gitlab/website/forks",
                "keys_url": "https://github.example.net/api/v3/repos/gitlab/website/keys{/key_id}",
                "collaborators_url": "https://github.example.net/api/v3/repos/gitlab/website/collaborators{/collaborator}",
                "teams_url": "https://github.example.net/api/v3/repos/gitlab/website/teams",
                "hooks_url": "https://github.example.net/api/v3/repos/gitlab/website/hooks",
                "issue_events_url": "https://github.example.net/api/v3/repos/gitlab/website/issues/events{/number}",
                "events_url": "https://github.example.net/api/v3/repos/gitlab/website/events",
                "assignees_url": "https://github.example.net/api/v3/repos/gitlab/website/assignees{/user}",
                "branches_url": "https://github.example.net/api/v3/repos/gitlab/website/branches{/branch}",
                "tags_url": "https://github.example.net/api/v3/repos/gitlab/website/tags",
                "blobs_url": "https://github.example.net/api/v3/repos/gitlab/website/git/blobs{/sha}",
                "git_tags_url": "https://github.example.net/api/v3/repos/gitlab/website/git/tags{/sha}",
                "git_refs_url": "https://github.example.net/api/v3/repos/gitlab/website/git/refs{/sha}",
                "trees_url": "https://github.example.net/api/v3/repos/gitlab/website/git/trees{/sha}",
                "statuses_url": "https://github.example.net/api/v3/repos/gitlab/website/statuses/{sha}",
                "languages_url": "https://github.example.net/api/v3/repos/gitlab/website/languages",
                "stargazers_url": "https://github.example.net/api/v3/repos/gitlab/website/stargazers",
                "contributors_url": "https://github.example.net/api/v3/repos/gitlab/website/contributors",
                "subscribers_url": "https://github.example.net/api/v3/repos/gitlab/website/subscribers",
                "subscription_url": "https://github.example.net/api/v3/repos/gitlab/website/subscription",
                "commits_url": "https://github.example.net/api/v3/repos/gitlab/website/commits{/sha}",
                "git_commits_url": "https://github.example.net/api/v3/repos/gitlab/website/git/commits{/sha}",
                "comments_url": "https://github.example.net/api/v3/repos/gitlab/website/comments{/number}",
                "issue_comment_url": "https://github.example.net/api/v3/repos/gitlab/website/issues/comments{/number}",
                "contents_url": "https://github.example.net/api/v3/repos/gitlab/website/contents/{+path}",
                "compare_url": "https://github.example.net/api/v3/repos/gitlab/website/compare/{base}...{head}",
                "merges_url": "https://github.example.net/api/v3/repos/gitlab/website/merges",
                "archive_url": "https://github.example.net/api/v3/repos/gitlab/website/{archive_format}{/ref}",
                "downloads_url": "https://github.example.net/api/v3/repos/gitlab/website/downloads",
                "issues_url": "https://github.example.net/api/v3/repos/gitlab/website/issues{/number}",
                "pulls_url": "https://github.example.net/api/v3/repos/gitlab/website/pulls{/number}",
                "milestones_url": "https://github.example.net/api/v3/repos/gitlab/website/milestones{/number}",
                "notifications_url": "https://github.example.net/api/v3/repos/gitlab/website/notifications{?since,all,participating}",
                "labels_url": "https://github.example.net/api/v3/repos/gitlab/website/labels{/name}",
                "releases_url": "https://github.example.net/api/v3/repos/gitlab/website/releases{/id}",
                "deployments_url": "https://github.example.net/api/v3/repos/gitlab/website/deployments"
            },
            {
                "databaseId": 2,
                "node_id": "MDEwOlJlcG9zaXRvcnky",
                "name": "asdf",
                "nameWithOwner": "bmay/asdf",
                "visibility": "private",
                "isArchived": False,
                "owner": {
                    "login": "bmay",
                    "id": 5,
                    "node_id": "MDQ6VXNlcjU=",
                    "avatar_url": "https://github.example.net/avatars/u/5?",
                    "gravatar_id": "",
                    "url": "https://github.example.net/api/v3/users/bmay",
                    "html_url": "https://github.example.net/bmay",
                    "followers_url": "https://github.example.net/api/v3/users/bmay/followers",
                    "following_url": "https://github.example.net/api/v3/users/bmay/following{/other_user}",
                    "gists_url": "https://github.example.net/api/v3/users/bmay/gists{/gist_id}",
                    "starred_url": "https://github.example.net/api/v3/users/bmay/starred{/owner}{/repo}",
                    "subscriptions_url": "https://github.example.net/api/v3/users/bmay/subscriptions",
                    "organizations_url": "https://github.example.net/api/v3/users/bmay/orgs",
                    "repos_url": "https://github.example.net/api/v3/users/bmay/repos",
                    "events_url": "https://github.example.net/api/v3/users/bmay/events{/privacy}",
                    "received_events_url": "https://github.example.net/api/v3/users/bmay/received_events",
                    "__typename": "User",
                    "site_admin": False
                },
                "html_url": "https://github.example.net/bmay/asdf",
                "description": None,
                "fork": False,
                "url": "https://github.example.net/api/v3/repos/bmay/asdf",
                "forks_url": "https://github.example.net/api/v3/repos/bmay/asdf/forks",
                "keys_url": "https://github.example.net/api/v3/repos/bmay/asdf/keys{/key_id}",
                "collaborators_url": "https://github.example.net/api/v3/repos/bmay/asdf/collaborators{/collaborator}",
                "teams_url": "https://github.example.net/api/v3/repos/bmay/asdf/teams",
                "hooks_url": "https://github.example.net/api/v3/repos/bmay/asdf/hooks",
                "issue_events_url": "https://github.example.net/api/v3/repos/bmay/asdf/issues/events{/number}",
                "events_url": "https://github.example.net/api/v3/repos/bmay/asdf/events",
                "assignees_url": "https://github.example.net/api/v3/repos/bmay/asdf/assignees{/user}",
                "branches_url": "https://github.example.net/api/v3/repos/bmay/asdf/branches{/branch}",
                "tags_url": "https://github.example.net/api/v3/repos/bmay/asdf/tags",
                "blobs_url": "https://github.example.net/api/v3/repos/bmay/asdf/git/blobs{/sha}",
                "git_tags_url": "https://github.example.net/api/v3/repos/bmay/asdf/git/tags{/sha}",
                "git_refs_url": "https://github.example.net/api/v3/repos/bmay/asdf/git/refs{/sha}",
                "trees_url": "https://github.example.net/api/v3/repos/bmay/asdf/git/trees{/sha}",
                "statuses_url": "https://github.example.net/api/v3/repos/bmay/asdf/statuses/{sha}",
                "languages_url": "https://github.example.net/api/v3/repos/bmay/asdf/languages",
                "stargazers_url": "https://github.example.net/api/v3/repos/bmay/asdf/stargazers",
                "contributors_url": "https://github.example.net/api/v3/repos/bmay/asdf/contributors",
                "subscribers_url": "https://github.example.net/api/v3/repos/bmay/asdf/subscribers",
                "subscription_url": "https://github.example.net/api/v3/repos/bmay/asdf/subscription",
                "commits_url": "https://github.example.net/api/v3/repos/bmay/asdf/commits{/sha}",
                "git_commits_url": "https://github.example.net/api/v3/repos/bmay/asdf/git/commits{/sha}",
                "comments_url": "https://github.example.net/api/v3/repos/bmay/asdf/comments{/number}",
                "issue_comment_url": "https://github.example.net/api/v3/repos/bmay/asdf/issues/comments{/number}",
                "contents_url": "https://github.example.net/api/v3/repos/bmay/asdf/contents/{+path}",
                "compare_url": "https://github.example.net/api/v3/repos/bmay/asdf/compare/{base}...{head}",
                "merges_url": "https://github.example.net/api/v3/repos/bmay/asdf/merges",
                "archive_url": "https://github.example.net/api/v3/repos/bmay/asdf/{archive_format}{/ref}",
                "downloads_url": "https://github.example.net/api/v3/repos/bmay/asdf/downloads",
                "issues_url": "https://github.example.net/api/v3/repos/bmay/asdf/issues{/number}",
                "pulls_url": "https://github.example.net/api/v3/repos/bmay/asdf/pulls{/number}",
                "milestones_url": "https://github.example.net/api/v3/repos/bmay/asdf/milestones{/number}",
                "notifications_url": "https://github.example.net/api/v3/repos/bmay/asdf/notifications{?since,all,participating}",
                "labels_url": "https://github.example.net/api/v3/repos/bmay/asdf/labels{/name}",
                "releases_url": "https://github.example.net/api/v3/repos/bmay/asdf/releases{/id}",
                "deployments_url": "https://github.example.net/api/v3/repos/bmay/asdf/deployments"
            }
        ]

    def get_repo(self):
        return [
            {
                "data": {
                    "repository": {
                        "databaseId": 1,
                        "node_id": "MDEwOlJlcG9zaXRvcnkx",
                        "name": "website",
                        "nameWithOwner": "gitlab/website",
                        "visibility": "private",
                        "isArchived": True,
                        "viewerPermission": "ADMIN",
                        "owner": {
                            "login": "gitlab",
                            "id": 3,
                            "node_id": "MDQ6VXNlcjM=",
                            "avatar_url": "https://github.example.net/avatars/u/3?",
                            "gravatar_id": "",
                            "url": "https://github.example.net/api/v3/users/gitlab",
                            "html_url": "https://github.example.net/gitlab",
                            "followers_url": "https://github.example.net/api/v3/users/gitlab/followers",
                            "following_url": "https://github.example.net/api/v3/users/gitlab/following{/other_user}",
                            "gists_url": "https://github.example.net/api/v3/users/gitlab/gists{/gist_id}",
                            "starred_url": "https://github.example.net/api/v3/users/gitlab/starred{/owner}{/repo}",
                            "subscriptions_url": "https://github.example.net/api/v3/users/gitlab/subscriptions",
                            "organizations_url": "https://github.example.net/api/v3/users/gitlab/orgs",
                            "repos_url": "https://github.example.net/api/v3/users/gitlab/repos",
                            "events_url": "https://github.example.net/api/v3/users/gitlab/events{/privacy}",
                            "received_events_url": "https://github.example.net/api/v3/users/gitlab/received_events",
                            "__typename": "User",
                            "site_admin": True
                        },
                        "html_url": "https://github.example.net/gitlab/website",
                        "description": None,
                        "fork": False,
                        "url": "https://github.example.net/api/v3/repos/gitlab/website",
                        "forks_url": "https://github.example.net/api/v3/repos/gitlab/website/forks",
                        "keys_url": "https://github.example.net/api/v3/repos/gitlab/website/keys{/key_id}",
                        "collaborators_url": "https://github.example.net/api/v3/repos/gitlab/website/collaborators{/collaborator}",
                        "teams_url": "https://github.example.net/api/v3/repos/gitlab/website/teams",
                        "hooks_url": "https://github.example.net/api/v3/repos/gitlab/website/hooks",
                        "issue_events_url": "https://github.example.net/api/v3/repos/gitlab/website/issues/events{/number}",
                        "events_url": "https://github.example.net/api/v3/repos/gitlab/website/events",
                        "assignees_url": "https://github.example.net/api/v3/repos/gitlab/website/assignees{/user}",
                        "branches_url": "https://github.example.net/api/v3/repos/gitlab/website/branches{/branch}",
                        "tags_url": "https://github.example.net/api/v3/repos/gitlab/website/tags",
                        "blobs_url": "https://github.example.net/api/v3/repos/gitlab/website/git/blobs{/sha}",
                        "git_tags_url": "https://github.example.net/api/v3/repos/gitlab/website/git/tags{/sha}",
                        "git_refs_url": "https://github.example.net/api/v3/repos/gitlab/website/git/refs{/sha}",
                        "trees_url": "https://github.example.net/api/v3/repos/gitlab/website/git/trees{/sha}",
                        "statuses_url": "https://github.example.net/api/v3/repos/gitlab/website/statuses/{sha}",
                        "languages_url": "https://github.example.net/api/v3/repos/gitlab/website/languages",
                        "stargazers_url": "https://github.example.net/api/v3/repos/gitlab/website/stargazers",
                        "contributors_url": "https://github.example.net/api/v3/repos/gitlab/website/contributors",
                        "subscribers_url": "https://github.example.net/api/v3/repos/gitlab/website/subscribers",
                        "subscription_url": "https://github.example.net/api/v3/repos/gitlab/website/subscription",
                        "commits_url": "https://github.example.net/api/v3/repos/gitlab/website/commits{/sha}",
                        "git_commits_url": "https://github.example.net/api/v3/repos/gitlab/website/git/commits{/sha}",
                        "comments_url": "https://github.example.net/api/v3/repos/gitlab/website/comments{/number}",
                        "issue_comment_url": "https://github.example.net/api/v3/repos/gitlab/website/issues/comments{/number}",
                        "contents_url": "https://github.example.net/api/v3/repos/gitlab/website/contents/{+path}",
                        "compare_url": "https://github.example.net/api/v3/repos/gitlab/website/compare/{base}...{head}",
                        "merges_url": "https://github.example.net/api/v3/repos/gitlab/website/merges",
                        "archive_url": "https://github.example.net/api/v3/repos/gitlab/website/{archive_format}{/ref}",
                        "downloads_url": "https://github.example.net/api/v3/repos/gitlab/website/downloads",
                        "issues_url": "https://github.example.net/api/v3/repos/gitlab/website/issues{/number}",
                        "pulls_url": "https://github.example.net/api/v3/repos/gitlab/website/pulls{/number}",
                        "milestones_url": "https://github.example.net/api/v3/repos/gitlab/website/milestones{/number}",
                        "notifications_url": "https://github.example.net/api/v3/repos/gitlab/website/notifications{?since,all,participating}",
                        "labels_url": "https://github.example.net/api/v3/repos/gitlab/website/labels{/name}",
                        "releases_url": "https://github.example.net/api/v3/repos/gitlab/website/releases{/id}",
                        "deployments_url": "https://github.example.net/api/v3/repos/gitlab/website/deployments",
                        "created_at": "2020-07-14T20:28:15Z",
                        "updated_at": "2020-07-14T20:28:45Z",
                        "pushed_at": "2020-07-14T20:28:31Z",
                        "git_url": "git://github.example.net/gitlab/website.git",
                        "ssh_url": "git@github.example.net:gitlab/website.git",
                        "clone_url": "https://github.example.net/gitlab/website.git",
                        "svn_url": "https://github.example.net/gitlab/website",
                        "homepage": None,
                        "size": 19249,
                        "stargazers_count": 0,
                        "watchers_count": 0,
                        "language": "JavaScript",
                        "has_issues": True,
                        "has_projects": True,
                        "has_downloads": True,
                        "has_wiki": True,
                        "has_pages": False,
                        "forks_count": 0,
                        "mirror_url": None,
                        "disabled": False,
                        "open_issues_count": 0,
                        "license": {
                            "key": "apache-2.0",
                            "name": "Apache License 2.0",
                            "spdx_id": "Apache-2.0",
                            "url": "https://github.example.net/api/v3/licenses/apache-2.0",
                            "node_id": "MDc6TGljZW5zZTI="
                        },
                        "forks": 0,
                        "open_issues": 0,
                        "watchers": 0,
                        "default_branch": "master",
                        "permissions": {
                            "admin": True,
                            "maintain": True,
                            "push": True,
                            "triage": True,
                            "pull": True
                        },
                        "temp_clone_token": "",
                        "allow_squash_merge": True,
                        "allow_merge_commit": True,
                        "allow_rebase_merge": True,
                        "delete_branch_on_merge": False,
                        "network_count": 0,
                        "subscribers_count": 1
                    }
                }
            },
            {
                "data": {
                    "repository": {
                        "databaseId": 14,
                        "node_id": "MDEwOlJlcG9zaXRvcnkxNA==",
                        "name": "pprokic-public-repo",
                        "nameWithOwner": "pprokic/pprokic-public-repo",
                        "visibility": "private",
                        "isArchived": False,
                        "viewerPermission": "ADMIN",
                        "owner": {
                            "login": "pprokic",
                            "id": 6,
                            "node_id": "MDQ6VXNlcjY=",
                            "avatar_url": "https://github.example.net/avatars/u/6?",
                            "gravatar_id": "",
                            "url": "https://github.example.net/api/v3/users/pprokic",
                            "html_url": "https://github.example.net/pprokic",
                            "followers_url": "https://github.example.net/api/v3/users/pprokic/followers",
                            "following_url": "https://github.example.net/api/v3/users/pprokic/following{/other_user}",
                            "gists_url": "https://github.example.net/api/v3/users/pprokic/gists{/gist_id}",
                            "starred_url": "https://github.example.net/api/v3/users/pprokic/starred{/owner}{/repo}",
                            "subscriptions_url": "https://github.example.net/api/v3/users/pprokic/subscriptions",
                            "organizations_url": "https://github.example.net/api/v3/users/pprokic/orgs",
                            "repos_url": "https://github.example.net/api/v3/users/pprokic/repos",
                            "events_url": "https://github.example.net/api/v3/users/pprokic/events{/privacy}",
                            "received_events_url": "https://github.example.net/api/v3/users/pprokic/received_events",
                            "__typename": "User",
                            "site_admin": False
                        },
                        "html_url": "https://github.example.net/pprokic/pprokic-public-repo",
                        "description": None,
                        "fork": False,
                        "url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo",
                        "forks_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/forks",
                        "keys_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/keys{/key_id}",
                        "collaborators_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/collaborators{/collaborator}",
                        "teams_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/teams",
                        "hooks_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/hooks",
                        "issue_events_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/issues/events{/number}",
                        "events_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/events",
                        "assignees_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/assignees{/user}",
                        "branches_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/branches{/branch}",
                        "tags_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/tags",
                        "blobs_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/git/blobs{/sha}",
                        "git_tags_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/git/tags{/sha}",
                        "git_refs_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/git/refs{/sha}",
                        "trees_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/git/trees{/sha}",
                        "statuses_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/statuses/{sha}",
                        "languages_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/languages",
                        "stargazers_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/stargazers",
                        "contributors_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/contributors",
                        "subscribers_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/subscribers",
                        "subscription_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/subscription",
                        "commits_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/commits{/sha}",
                        "git_commits_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/git/commits{/sha}",
                        "comments_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/comments{/number}",
                        "issue_comment_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/issues/comments{/number}",
                        "contents_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/contents/{+path}",
                        "compare_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/compare/{base}...{head}",
                        "merges_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/merges",
                        "archive_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/{archive_format}{/ref}",
                        "downloads_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/downloads",
                        "issues_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/issues{/number}",
                        "pulls_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/pulls{/number}",
                        "milestones_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/milestones{/number}",
                        "notifications_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/notifications{?since,all,participating}",
                        "labels_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/labels{/name}",
                        "releases_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/releases{/id}",
                        "deployments_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/deployments",
                        "created_at": "2020-07-29T12:54:07Z",
                        "updated_at": "2020-08-05T10:10:58Z",
                        "pushed_at": "2020-08-05T10:10:55Z",
                        "git_url": "git://github.example.net/pprokic/pprokic-public-repo.git",
                        "ssh_url": "git@github.example.net:pprokic/pprokic-public-repo.git",
                        "clone_url": "https://github.example.net/pprokic/pprokic-public-repo.git",
                        "svn_url": "https://github.example.net/pprokic/pprokic-public-repo",
                        "homepage": None,
                        "size": 1,
                        "stargazers_count": 0,
                        "watchers_count": 0,
                        "language": None,
                        "has_issues": True,
                        "has_projects": True,
                        "has_downloads": True,
                        "has_wiki": True,
                        "has_pages": True,
                        "forks_count": 0,
                        "mirror_url": None,
                        "archived": False,
                        "disabled": False,
                        "open_issues_count": 0,
                        "license": None,
                        "forks": 0,
                        "open_issues": 0,
                        "watchers": 0,
                        "default_branch": "master",
                        "permissions": {
                            "admin": False,
                            "maintain": False,
                            "push": False,
                            "triage": True,
                            "pull": True
                        },
                        "temp_clone_token": "",
                        "network_count": 0,
                        "subscribers_count": 1
                    }
                }
            },
            {
                "data": {
                    "repository": {
                        "databaseId": 8,
                        "node_id": "MDEwOlJlcG9zaXRvcnk4",
                        "name": "arrow",
                        "nameWithOwner": "org2/arrow",
                        "visibility": "private",
                        "isArchived": False,
                        "viewerPermission": "ADMIN",
                        "owner": {
                            "login": "org2",
                            "id": 9,
                            "node_id": "MDEyOk9yZ2FuaXphdGlvbjk=",
                            "avatar_url": "https://github.example.net/avatars/u/9?",
                            "gravatar_id": "",
                            "url": "https://github.example.net/api/v3/users/org2",
                            "html_url": "https://github.example.net/org2",
                            "followers_url": "https://github.example.net/api/v3/users/org2/followers",
                            "following_url": "https://github.example.net/api/v3/users/org2/following{/other_user}",
                            "gists_url": "https://github.example.net/api/v3/users/org2/gists{/gist_id}",
                            "starred_url": "https://github.example.net/api/v3/users/org2/starred{/owner}{/repo}",
                            "subscriptions_url": "https://github.example.net/api/v3/users/org2/subscriptions",
                            "organizations_url": "https://github.example.net/api/v3/users/org2/orgs",
                            "repos_url": "https://github.example.net/api/v3/users/org2/repos",
                            "events_url": "https://github.example.net/api/v3/users/org2/events{/privacy}",
                            "received_events_url": "https://github.example.net/api/v3/users/org2/received_events",
                            "__typename": "Organization",
                            "site_admin": False
                        },
                        "html_url": "https://github.example.net/org2/arrow",
                        "description": None,
                        "fork": False,
                        "url": "https://github.example.net/api/v3/repos/org2/arrow",
                        "forks_url": "https://github.example.net/api/v3/repos/org2/arrow/forks",
                        "keys_url": "https://github.example.net/api/v3/repos/org2/arrow/keys{/key_id}",
                        "collaborators_url": "https://github.example.net/api/v3/repos/org2/arrow/collaborators{/collaborator}",
                        "teams_url": "https://github.example.net/api/v3/repos/org2/arrow/teams",
                        "hooks_url": "https://github.example.net/api/v3/repos/org2/arrow/hooks",
                        "issue_events_url": "https://github.example.net/api/v3/repos/org2/arrow/issues/events{/number}",
                        "events_url": "https://github.example.net/api/v3/repos/org2/arrow/events",
                        "assignees_url": "https://github.example.net/api/v3/repos/org2/arrow/assignees{/user}",
                        "branches_url": "https://github.example.net/api/v3/repos/org2/arrow/branches{/branch}",
                        "tags_url": "https://github.example.net/api/v3/repos/org2/arrow/tags",
                        "blobs_url": "https://github.example.net/api/v3/repos/org2/arrow/git/blobs{/sha}",
                        "git_tags_url": "https://github.example.net/api/v3/repos/org2/arrow/git/tags{/sha}",
                        "git_refs_url": "https://github.example.net/api/v3/repos/org2/arrow/git/refs{/sha}",
                        "trees_url": "https://github.example.net/api/v3/repos/org2/arrow/git/trees{/sha}",
                        "statuses_url": "https://github.example.net/api/v3/repos/org2/arrow/statuses/{sha}",
                        "languages_url": "https://github.example.net/api/v3/repos/org2/arrow/languages",
                        "stargazers_url": "https://github.example.net/api/v3/repos/org2/arrow/stargazers",
                        "contributors_url": "https://github.example.net/api/v3/repos/org2/arrow/contributors",
                        "subscribers_url": "https://github.example.net/api/v3/repos/org2/arrow/subscribers",
                        "subscription_url": "https://github.example.net/api/v3/repos/org2/arrow/subscription",
                        "commits_url": "https://github.example.net/api/v3/repos/org2/arrow/commits{/sha}",
                        "git_commits_url": "https://github.example.net/api/v3/repos/org2/arrow/git/commits{/sha}",
                        "comments_url": "https://github.example.net/api/v3/repos/org2/arrow/comments{/number}",
                        "issue_comment_url": "https://github.example.net/api/v3/repos/org2/arrow/issues/comments{/number}",
                        "contents_url": "https://github.example.net/api/v3/repos/org2/arrow/contents/{+path}",
                        "compare_url": "https://github.example.net/api/v3/repos/org2/arrow/compare/{base}...{head}",
                        "merges_url": "https://github.example.net/api/v3/repos/org2/arrow/merges",
                        "archive_url": "https://github.example.net/api/v3/repos/org2/arrow/{archive_format}{/ref}",
                        "downloads_url": "https://github.example.net/api/v3/repos/org2/arrow/downloads",
                        "issues_url": "https://github.example.net/api/v3/repos/org2/arrow/issues{/number}",
                        "pulls_url": "https://github.example.net/api/v3/repos/org2/arrow/pulls{/number}",
                        "milestones_url": "https://github.example.net/api/v3/repos/org2/arrow/milestones{/number}",
                        "notifications_url": "https://github.example.net/api/v3/repos/org2/arrow/notifications{?since,all,participating}",
                        "labels_url": "https://github.example.net/api/v3/repos/org2/arrow/labels{/name}",
                        "releases_url": "https://github.example.net/api/v3/repos/org2/arrow/releases{/id}",
                        "deployments_url": "https://github.example.net/api/v3/repos/org2/arrow/deployments",
                        "created_at": "2020-07-16T12:07:41Z",
                        "updated_at": "2020-07-16T12:09:26Z",
                        "pushed_at": "2020-07-16T12:08:34Z",
                        "git_url": "git://github.example.net/org2/arrow.git",
                        "ssh_url": "git@github.example.net:org2/arrow.git",
                        "clone_url": "https://github.example.net/org2/arrow.git",
                        "svn_url": "https://github.example.net/org2/arrow",
                        "homepage": None,
                        "size": 58418,
                        "stargazers_count": 0,
                        "watchers_count": 0,
                        "language": "C++",
                        "has_issues": True,
                        "has_projects": True,
                        "has_downloads": True,
                        "has_wiki": True,
                        "has_pages": False,
                        "forks_count": 0,
                        "mirror_url": None,
                        "archived": False,
                        "disabled": False,
                        "open_issues_count": 0,
                        "license": {
                            "key": "apache-2.0",
                            "name": "Apache License 2.0",
                            "spdx_id": "Apache-2.0",
                            "url": "https://github.example.net/api/v3/licenses/apache-2.0",
                            "node_id": "MDc6TGljZW5zZTI="
                        },
                        "forks": 0,
                        "open_issues": 0,
                        "watchers": 0,
                        "default_branch": "master",
                        "permissions": {
                            "admin": True,
                            "push": True,
                            "pull": True
                        },
                        "temp_clone_token": "",
                        "allow_squash_merge": True,
                        "allow_merge_commit": True,
                        "allow_rebase_merge": True,
                        "delete_branch_on_merge": False,
                        "organization": {
                            "login": "org2",
                            "id": 9,
                            "node_id": "MDEyOk9yZ2FuaXphdGlvbjk=",
                            "avatar_url": "https://github.example.net/avatars/u/9?",
                            "gravatar_id": "",
                            "url": "https://github.example.net/api/v3/users/org2",
                            "html_url": "https://github.example.net/org2",
                            "followers_url": "https://github.example.net/api/v3/users/org2/followers",
                            "following_url": "https://github.example.net/api/v3/users/org2/following{/other_user}",
                            "gists_url": "https://github.example.net/api/v3/users/org2/gists{/gist_id}",
                            "starred_url": "https://github.example.net/api/v3/users/org2/starred{/owner}{/repo}",
                            "subscriptions_url": "https://github.example.net/api/v3/users/org2/subscriptions",
                            "organizations_url": "https://github.example.net/api/v3/users/org2/orgs",
                            "repos_url": "https://github.example.net/api/v3/users/org2/repos",
                            "events_url": "https://github.example.net/api/v3/users/org2/events{/privacy}",
                            "received_events_url": "https://github.example.net/api/v3/users/org2/received_events",
                            "type": "Organization",
                            "site_admin": False
                        },
                        "network_count": 0,
                        "subscribers_count": 0
                    }
                }
            },
            {
                "data": {
                    "repository": {
                        "databaseId": 16,
                        "node_id": "MDEwOlJlcG9zaXRvcnkxNg==",
                        "name": "test-repo",
                        "nameWithOwner": "org3/test-repo",
                        "visibility": "private",
                        "isArchived": False,
                        "viewerPermission": "ADMIN",
                        "owner": {
                            "login": "org3",
                            "id": 12,
                            "node_id": "MDEyOk9yZ2FuaXphdGlvbjEy",
                            "avatar_url": "https://github.example.net/avatars/u/12?",
                            "gravatar_id": "",
                            "url": "https://github.example.net/api/v3/users/org3",
                            "html_url": "https://github.example.net/org3",
                            "followers_url": "https://github.example.net/api/v3/users/org3/followers",
                            "following_url": "https://github.example.net/api/v3/users/org3/following{/other_user}",
                            "gists_url": "https://github.example.net/api/v3/users/org3/gists{/gist_id}",
                            "starred_url": "https://github.example.net/api/v3/users/org3/starred{/owner}{/repo}",
                            "subscriptions_url": "https://github.example.net/api/v3/users/org3/subscriptions",
                            "organizations_url": "https://github.example.net/api/v3/users/org3/orgs",
                            "repos_url": "https://github.example.net/api/v3/users/org3/repos",
                            "events_url": "https://github.example.net/api/v3/users/org3/events{/privacy}",
                            "received_events_url": "https://github.example.net/api/v3/users/org3/received_events",
                            "__typename": "Organization",
                            "site_admin": False
                        },
                        "html_url": "https://github.example.net/org3/test-repo",
                        "description": None,
                        "fork": False,
                        "url": "https://github.example.net/api/v3/repos/org3/test-repo",
                        "forks_url": "https://github.example.net/api/v3/repos/org3/test-repo/forks",
                        "keys_url": "https://github.example.net/api/v3/repos/org3/test-repo/keys{/key_id}",
                        "collaborators_url": "https://github.example.net/api/v3/repos/org3/test-repo/collaborators{/collaborator}",
                        "teams_url": "https://github.example.net/api/v3/repos/org3/test-repo/teams",
                        "hooks_url": "https://github.example.net/api/v3/repos/org3/test-repo/hooks",
                        "issue_events_url": "https://github.example.net/api/v3/repos/org3/test-repo/issues/events{/number}",
                        "events_url": "https://github.example.net/api/v3/repos/org3/test-repo/events",
                        "assignees_url": "https://github.example.net/api/v3/repos/org3/test-repo/assignees{/user}",
                        "branches_url": "https://github.example.net/api/v3/repos/org3/test-repo/branches{/branch}",
                        "tags_url": "https://github.example.net/api/v3/repos/org3/test-repo/tags",
                        "blobs_url": "https://github.example.net/api/v3/repos/org3/test-repo/git/blobs{/sha}",
                        "git_tags_url": "https://github.example.net/api/v3/repos/org3/test-repo/git/tags{/sha}",
                        "git_refs_url": "https://github.example.net/api/v3/repos/org3/test-repo/git/refs{/sha}",
                        "trees_url": "https://github.example.net/api/v3/repos/org3/test-repo/git/trees{/sha}",
                        "statuses_url": "https://github.example.net/api/v3/repos/org3/test-repo/statuses/{sha}",
                        "languages_url": "https://github.example.net/api/v3/repos/org3/test-repo/languages",
                        "stargazers_url": "https://github.example.net/api/v3/repos/org3/test-repo/stargazers",
                        "contributors_url": "https://github.example.net/api/v3/repos/org3/test-repo/contributors",
                        "subscribers_url": "https://github.example.net/api/v3/repos/org3/test-repo/subscribers",
                        "subscription_url": "https://github.example.net/api/v3/repos/org3/test-repo/subscription",
                        "commits_url": "https://github.example.net/api/v3/repos/org3/test-repo/commits{/sha}",
                        "git_commits_url": "https://github.example.net/api/v3/repos/org3/test-repo/git/commits{/sha}",
                        "comments_url": "https://github.example.net/api/v3/repos/org3/test-repo/comments{/number}",
                        "issue_comment_url": "https://github.example.net/api/v3/repos/org3/test-repo/issues/comments{/number}",
                        "contents_url": "https://github.example.net/api/v3/repos/org3/test-repo/contents/{+path}",
                        "compare_url": "https://github.example.net/api/v3/repos/org3/test-repo/compare/{base}...{head}",
                        "merges_url": "https://github.example.net/api/v3/repos/org3/test-repo/merges",
                        "archive_url": "https://github.example.net/api/v3/repos/org3/test-repo/{archive_format}{/ref}",
                        "downloads_url": "https://github.example.net/api/v3/repos/org3/test-repo/downloads",
                        "issues_url": "https://github.example.net/api/v3/repos/org3/test-repo/issues{/number}",
                        "pulls_url": "https://github.example.net/api/v3/repos/org3/test-repo/pulls{/number}",
                        "milestones_url": "https://github.example.net/api/v3/repos/org3/test-repo/milestones{/number}",
                        "notifications_url": "https://github.example.net/api/v3/repos/org3/test-repo/notifications{?since,all,participating}",
                        "labels_url": "https://github.example.net/api/v3/repos/org3/test-repo/labels{/name}",
                        "releases_url": "https://github.example.net/api/v3/repos/org3/test-repo/releases{/id}",
                        "deployments_url": "https://github.example.net/api/v3/repos/org3/test-repo/deployments",
                        "created_at": "2020-07-31T20:44:46Z",
                        "updated_at": "2020-07-31T20:48:20Z",
                        "pushed_at": "2020-07-31T20:44:48Z",
                        "git_url": "git://github.example.net/org3/test-repo.git",
                        "ssh_url": "git@github.example.net:org3/test-repo.git",
                        "clone_url": "https://github.example.net/org3/test-repo.git",
                        "svn_url": "https://github.example.net/org3/test-repo",
                        "homepage": None,
                        "size": 0,
                        "stargazers_count": 0,
                        "watchers_count": 0,
                        "language": None,
                        "has_issues": True,
                        "has_projects": True,
                        "has_downloads": True,
                        "has_wiki": True,
                        "has_pages": False,
                        "forks_count": 0,
                        "mirror_url": None,
                        "archived": False,
                        "disabled": False,
                        "open_issues_count": 0,
                        "license": None,
                        "forks": 0,
                        "open_issues": 0,
                        "watchers": 0,
                        "default_branch": "master",
                        "permissions": {
                            "admin": True,
                            "push": True,
                            "pull": True
                        },
                        "temp_clone_token": "AAAAAA4EL746HDSE3KZ3QL27FPGFM",
                        "allow_squash_merge": True,
                        "allow_merge_commit": True,
                        "allow_rebase_merge": True,
                        "delete_branch_on_merge": False,
                        "organization": {
                            "login": "org3",
                            "id": 12,
                            "node_id": "MDEyOk9yZ2FuaXphdGlvbjEy",
                            "avatar_url": "https://github.example.net/avatars/u/12?",
                            "gravatar_id": "",
                            "url": "https://github.example.net/api/v3/users/org3",
                            "html_url": "https://github.example.net/org3",
                            "followers_url": "https://github.example.net/api/v3/users/org3/followers",
                            "following_url": "https://github.example.net/api/v3/users/org3/following{/other_user}",
                            "gists_url": "https://github.example.net/api/v3/users/org3/gists{/gist_id}",
                            "starred_url": "https://github.example.net/api/v3/users/org3/starred{/owner}{/repo}",
                            "subscriptions_url": "https://github.example.net/api/v3/users/org3/subscriptions",
                            "organizations_url": "https://github.example.net/api/v3/users/org3/orgs",
                            "repos_url": "https://github.example.net/api/v3/users/org3/repos",
                            "events_url": "https://github.example.net/api/v3/users/org3/events{/privacy}",
                            "received_events_url": "https://github.example.net/api/v3/users/org3/received_events",
                            "type": "Organization",
                            "site_admin": False
                        },
                        "network_count": 0,
                        "subscribers_count": 0
                    }
                }
            }
        ]

    def get_listed_repos(self):
        return [
            {
                "databaseId": 1,
                "node_id": "MDEwOlJlcG9zaXRvcnkx",
                "name": "website",
                "nameWithOwner": "gitlab/website",
                "visibility": "private",
                "isArchived": False,
                "owner": {
                    "login": "gitlab",
                    "id": 3,
                    "node_id": "MDQ6VXNlcjM=",
                    "avatar_url": "https://github.example.net/avatars/u/3?",
                    "gravatar_id": "",
                    "url": "https://github.example.net/api/v3/users/gitlab",
                    "html_url": "https://github.example.net/gitlab",
                    "followers_url": "https://github.example.net/api/v3/users/gitlab/followers",
                    "following_url": "https://github.example.net/api/v3/users/gitlab/following{/other_user}",
                    "gists_url": "https://github.example.net/api/v3/users/gitlab/gists{/gist_id}",
                    "starred_url": "https://github.example.net/api/v3/users/gitlab/starred{/owner}{/repo}",
                    "subscriptions_url": "https://github.example.net/api/v3/users/gitlab/subscriptions",
                    "organizations_url": "https://github.example.net/api/v3/users/gitlab/orgs",
                    "repos_url": "https://github.example.net/api/v3/users/gitlab/repos",
                    "events_url": "https://github.example.net/api/v3/users/gitlab/events{/privacy}",
                    "received_events_url": "https://github.example.net/api/v3/users/gitlab/received_events",
                    "__typename": "User",
                    "site_admin": True
                },
                "html_url": "https://github.example.net/gitlab/website",
                "description": None,
                "fork": False,
                "url": "https://github.example.net/api/v3/repos/gitlab/website",
                "forks_url": "https://github.example.net/api/v3/repos/gitlab/website/forks",
                "keys_url": "https://github.example.net/api/v3/repos/gitlab/website/keys{/key_id}",
                "collaborators_url": "https://github.example.net/api/v3/repos/gitlab/website/collaborators{/collaborator}",
                "teams_url": "https://github.example.net/api/v3/repos/gitlab/website/teams",
                "hooks_url": "https://github.example.net/api/v3/repos/gitlab/website/hooks",
                "issue_events_url": "https://github.example.net/api/v3/repos/gitlab/website/issues/events{/number}",
                "events_url": "https://github.example.net/api/v3/repos/gitlab/website/events",
                "assignees_url": "https://github.example.net/api/v3/repos/gitlab/website/assignees{/user}",
                "branches_url": "https://github.example.net/api/v3/repos/gitlab/website/branches{/branch}",
                "tags_url": "https://github.example.net/api/v3/repos/gitlab/website/tags",
                "blobs_url": "https://github.example.net/api/v3/repos/gitlab/website/git/blobs{/sha}",
                "git_tags_url": "https://github.example.net/api/v3/repos/gitlab/website/git/tags{/sha}",
                "git_refs_url": "https://github.example.net/api/v3/repos/gitlab/website/git/refs{/sha}",
                "trees_url": "https://github.example.net/api/v3/repos/gitlab/website/git/trees{/sha}",
                "statuses_url": "https://github.example.net/api/v3/repos/gitlab/website/statuses/{sha}",
                "languages_url": "https://github.example.net/api/v3/repos/gitlab/website/languages",
                "stargazers_url": "https://github.example.net/api/v3/repos/gitlab/website/stargazers",
                "contributors_url": "https://github.example.net/api/v3/repos/gitlab/website/contributors",
                "subscribers_url": "https://github.example.net/api/v3/repos/gitlab/website/subscribers",
                "subscription_url": "https://github.example.net/api/v3/repos/gitlab/website/subscription",
                "commits_url": "https://github.example.net/api/v3/repos/gitlab/website/commits{/sha}",
                "git_commits_url": "https://github.example.net/api/v3/repos/gitlab/website/git/commits{/sha}",
                "comments_url": "https://github.example.net/api/v3/repos/gitlab/website/comments{/number}",
                "issue_comment_url": "https://github.example.net/api/v3/repos/gitlab/website/issues/comments{/number}",
                "contents_url": "https://github.example.net/api/v3/repos/gitlab/website/contents/{+path}",
                "compare_url": "https://github.example.net/api/v3/repos/gitlab/website/compare/{base}...{head}",
                "merges_url": "https://github.example.net/api/v3/repos/gitlab/website/merges",
                "archive_url": "https://github.example.net/api/v3/repos/gitlab/website/{archive_format}{/ref}",
                "downloads_url": "https://github.example.net/api/v3/repos/gitlab/website/downloads",
                "issues_url": "https://github.example.net/api/v3/repos/gitlab/website/issues{/number}",
                "pulls_url": "https://github.example.net/api/v3/repos/gitlab/website/pulls{/number}",
                "milestones_url": "https://github.example.net/api/v3/repos/gitlab/website/milestones{/number}",
                "notifications_url": "https://github.example.net/api/v3/repos/gitlab/website/notifications{?since,all,participating}",
                "labels_url": "https://github.example.net/api/v3/repos/gitlab/website/labels{/name}",
                "releases_url": "https://github.example.net/api/v3/repos/gitlab/website/releases{/id}",
                "deployments_url": "https://github.example.net/api/v3/repos/gitlab/website/deployments"
            },
            {
                "databaseId": 14,
                "node_id": "MDEwOlJlcG9zaXRvcnkxNA==",
                "name": "pprokic-public-repo",
                "nameWithOwner": "pprokic/pprokic-public-repo",
                "visibility": "private",
                "isArchived": False,
                "owner": {
                    "login": "pprokic",
                    "id": 6,
                    "node_id": "MDQ6VXNlcjY=",
                    "avatar_url": "https://github.example.net/avatars/u/6?",
                    "gravatar_id": "",
                    "url": "https://github.example.net/api/v3/users/pprokic",
                    "html_url": "https://github.example.net/pprokic",
                    "followers_url": "https://github.example.net/api/v3/users/pprokic/followers",
                    "following_url": "https://github.example.net/api/v3/users/pprokic/following{/other_user}",
                    "gists_url": "https://github.example.net/api/v3/users/pprokic/gists{/gist_id}",
                    "starred_url": "https://github.example.net/api/v3/users/pprokic/starred{/owner}{/repo}",
                    "subscriptions_url": "https://github.example.net/api/v3/users/pprokic/subscriptions",
                    "organizations_url": "https://github.example.net/api/v3/users/pprokic/orgs",
                    "repos_url": "https://github.example.net/api/v3/users/pprokic/repos",
                    "events_url": "https://github.example.net/api/v3/users/pprokic/events{/privacy}",
                    "received_events_url": "https://github.example.net/api/v3/users/pprokic/received_events",
                    "__typename": "User",
                    "site_admin": False
                },
                "html_url": "https://github.example.net/pprokic/pprokic-public-repo",
                "description": None,
                "fork": False,
                "url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo",
                "forks_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/forks",
                "keys_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/keys{/key_id}",
                "collaborators_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/collaborators{/collaborator}",
                "teams_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/teams",
                "hooks_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/hooks",
                "issue_events_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/issues/events{/number}",
                "events_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/events",
                "assignees_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/assignees{/user}",
                "branches_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/branches{/branch}",
                "tags_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/tags",
                "blobs_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/git/blobs{/sha}",
                "git_tags_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/git/tags{/sha}",
                "git_refs_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/git/refs{/sha}",
                "trees_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/git/trees{/sha}",
                "statuses_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/statuses/{sha}",
                "languages_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/languages",
                "stargazers_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/stargazers",
                "contributors_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/contributors",
                "subscribers_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/subscribers",
                "subscription_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/subscription",
                "commits_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/commits{/sha}",
                "git_commits_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/git/commits{/sha}",
                "comments_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/comments{/number}",
                "issue_comment_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/issues/comments{/number}",
                "contents_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/contents/{+path}",
                "compare_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/compare/{base}...{head}",
                "merges_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/merges",
                "archive_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/{archive_format}{/ref}",
                "downloads_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/downloads",
                "issues_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/issues{/number}",
                "pulls_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/pulls{/number}",
                "milestones_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/milestones{/number}",
                "notifications_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/notifications{?since,all,participating}",
                "labels_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/labels{/name}",
                "releases_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/releases{/id}",
                "deployments_url": "https://github.example.net/api/v3/repos/pprokic/pprokic-public-repo/deployments"
            },
            {
                "databaseId": 8,
                "node_id": "MDEwOlJlcG9zaXRvcnk4",
                "name": "arrow",
                "nameWithOwner": "org2/arrow",
                "visibility": "private",
                "isArchived": False,
                "owner": {
                    "login": "org2",
                    "id": 9,
                    "node_id": "MDEyOk9yZ2FuaXphdGlvbjk=",
                    "avatar_url": "https://github.example.net/avatars/u/9?",
                    "gravatar_id": "",
                    "url": "https://github.example.net/api/v3/users/org2",
                    "html_url": "https://github.example.net/org2",
                    "followers_url": "https://github.example.net/api/v3/users/org2/followers",
                    "following_url": "https://github.example.net/api/v3/users/org2/following{/other_user}",
                    "gists_url": "https://github.example.net/api/v3/users/org2/gists{/gist_id}",
                    "starred_url": "https://github.example.net/api/v3/users/org2/starred{/owner}{/repo}",
                    "subscriptions_url": "https://github.example.net/api/v3/users/org2/subscriptions",
                    "organizations_url": "https://github.example.net/api/v3/users/org2/orgs",
                    "repos_url": "https://github.example.net/api/v3/users/org2/repos",
                    "events_url": "https://github.example.net/api/v3/users/org2/events{/privacy}",
                    "received_events_url": "https://github.example.net/api/v3/users/org2/received_events",
                    "__typename": "Organization",
                    "site_admin": False
                },
                "html_url": "https://github.example.net/org2/arrow",
                "description": None,
                "fork": False,
                "url": "https://github.example.net/api/v3/repos/org2/arrow",
                "forks_url": "https://github.example.net/api/v3/repos/org2/arrow/forks",
                "keys_url": "https://github.example.net/api/v3/repos/org2/arrow/keys{/key_id}",
                "collaborators_url": "https://github.example.net/api/v3/repos/org2/arrow/collaborators{/collaborator}",
                "teams_url": "https://github.example.net/api/v3/repos/org2/arrow/teams",
                "hooks_url": "https://github.example.net/api/v3/repos/org2/arrow/hooks",
                "issue_events_url": "https://github.example.net/api/v3/repos/org2/arrow/issues/events{/number}",
                "events_url": "https://github.example.net/api/v3/repos/org2/arrow/events",
                "assignees_url": "https://github.example.net/api/v3/repos/org2/arrow/assignees{/user}",
                "branches_url": "https://github.example.net/api/v3/repos/org2/arrow/branches{/branch}",
                "tags_url": "https://github.example.net/api/v3/repos/org2/arrow/tags",
                "blobs_url": "https://github.example.net/api/v3/repos/org2/arrow/git/blobs{/sha}",
                "git_tags_url": "https://github.example.net/api/v3/repos/org2/arrow/git/tags{/sha}",
                "git_refs_url": "https://github.example.net/api/v3/repos/org2/arrow/git/refs{/sha}",
                "trees_url": "https://github.example.net/api/v3/repos/org2/arrow/git/trees{/sha}",
                "statuses_url": "https://github.example.net/api/v3/repos/org2/arrow/statuses/{sha}",
                "languages_url": "https://github.example.net/api/v3/repos/org2/arrow/languages",
                "stargazers_url": "https://github.example.net/api/v3/repos/org2/arrow/stargazers",
                "contributors_url": "https://github.example.net/api/v3/repos/org2/arrow/contributors",
                "subscribers_url": "https://github.example.net/api/v3/repos/org2/arrow/subscribers",
                "subscription_url": "https://github.example.net/api/v3/repos/org2/arrow/subscription",
                "commits_url": "https://github.example.net/api/v3/repos/org2/arrow/commits{/sha}",
                "git_commits_url": "https://github.example.net/api/v3/repos/org2/arrow/git/commits{/sha}",
                "comments_url": "https://github.example.net/api/v3/repos/org2/arrow/comments{/number}",
                "issue_comment_url": "https://github.example.net/api/v3/repos/org2/arrow/issues/comments{/number}",
                "contents_url": "https://github.example.net/api/v3/repos/org2/arrow/contents/{+path}",
                "compare_url": "https://github.example.net/api/v3/repos/org2/arrow/compare/{base}...{head}",
                "merges_url": "https://github.example.net/api/v3/repos/org2/arrow/merges",
                "archive_url": "https://github.example.net/api/v3/repos/org2/arrow/{archive_format}{/ref}",
                "downloads_url": "https://github.example.net/api/v3/repos/org2/arrow/downloads",
                "issues_url": "https://github.example.net/api/v3/repos/org2/arrow/issues{/number}",
                "pulls_url": "https://github.example.net/api/v3/repos/org2/arrow/pulls{/number}",
                "milestones_url": "https://github.example.net/api/v3/repos/org2/arrow/milestones{/number}",
                "notifications_url": "https://github.example.net/api/v3/repos/org2/arrow/notifications{?since,all,participating}",
                "labels_url": "https://github.example.net/api/v3/repos/org2/arrow/labels{/name}",
                "releases_url": "https://github.example.net/api/v3/repos/org2/arrow/releases{/id}",
                "deployments_url": "https://github.example.net/api/v3/repos/org2/arrow/deployments"
            },
            {
                "databaseId": 16,
                "node_id": "MDEwOlJlcG9zaXRvcnkxNg==",
                "name": "test-repo",
                "nameWithOwner": "org3/test-repo",
                "visibility": "private",
                "isArchived": False,
                "owner": {
                    "login": "org3",
                    "id": 12,
                    "node_id": "MDEyOk9yZ2FuaXphdGlvbjEy",
                    "avatar_url": "https://github.example.net/avatars/u/12?",
                    "gravatar_id": "",
                    "url": "https://github.example.net/api/v3/users/org3",
                    "html_url": "https://github.example.net/org3",
                    "followers_url": "https://github.example.net/api/v3/users/org3/followers",
                    "following_url": "https://github.example.net/api/v3/users/org3/following{/other_user}",
                    "gists_url": "https://github.example.net/api/v3/users/org3/gists{/gist_id}",
                    "starred_url": "https://github.example.net/api/v3/users/org3/starred{/owner}{/repo}",
                    "subscriptions_url": "https://github.example.net/api/v3/users/org3/subscriptions",
                    "organizations_url": "https://github.example.net/api/v3/users/org3/orgs",
                    "repos_url": "https://github.example.net/api/v3/users/org3/repos",
                    "events_url": "https://github.example.net/api/v3/users/org3/events{/privacy}",
                    "received_events_url": "https://github.example.net/api/v3/users/org3/received_events",
                    "__typename": "Organization",
                    "site_admin": False
                },
                "html_url": "https://github.example.net/org3/test-repo",
                "description": None,
                "fork": False,
                "url": "https://github.example.net/api/v3/repos/org3/test-repo",
                "forks_url": "https://github.example.net/api/v3/repos/org3/test-repo/forks",
                "keys_url": "https://github.example.net/api/v3/repos/org3/test-repo/keys{/key_id}",
                "collaborators_url": "https://github.example.net/api/v3/repos/org3/test-repo/collaborators{/collaborator}",
                "teams_url": "https://github.example.net/api/v3/repos/org3/test-repo/teams",
                "hooks_url": "https://github.example.net/api/v3/repos/org3/test-repo/hooks",
                "issue_events_url": "https://github.example.net/api/v3/repos/org3/test-repo/issues/events{/number}",
                "events_url": "https://github.example.net/api/v3/repos/org3/test-repo/events",
                "assignees_url": "https://github.example.net/api/v3/repos/org3/test-repo/assignees{/user}",
                "branches_url": "https://github.example.net/api/v3/repos/org3/test-repo/branches{/branch}",
                "tags_url": "https://github.example.net/api/v3/repos/org3/test-repo/tags",
                "blobs_url": "https://github.example.net/api/v3/repos/org3/test-repo/git/blobs{/sha}",
                "git_tags_url": "https://github.example.net/api/v3/repos/org3/test-repo/git/tags{/sha}",
                "git_refs_url": "https://github.example.net/api/v3/repos/org3/test-repo/git/refs{/sha}",
                "trees_url": "https://github.example.net/api/v3/repos/org3/test-repo/git/trees{/sha}",
                "statuses_url": "https://github.example.net/api/v3/repos/org3/test-repo/statuses/{sha}",
                "languages_url": "https://github.example.net/api/v3/repos/org3/test-repo/languages",
                "stargazers_url": "https://github.example.net/api/v3/repos/org3/test-repo/stargazers",
                "contributors_url": "https://github.example.net/api/v3/repos/org3/test-repo/contributors",
                "subscribers_url": "https://github.example.net/api/v3/repos/org3/test-repo/subscribers",
                "subscription_url": "https://github.example.net/api/v3/repos/org3/test-repo/subscription",
                "commits_url": "https://github.example.net/api/v3/repos/org3/test-repo/commits{/sha}",
                "git_commits_url": "https://github.example.net/api/v3/repos/org3/test-repo/git/commits{/sha}",
                "comments_url": "https://github.example.net/api/v3/repos/org3/test-repo/comments{/number}",
                "issue_comment_url": "https://github.example.net/api/v3/repos/org3/test-repo/issues/comments{/number}",
                "contents_url": "https://github.example.net/api/v3/repos/org3/test-repo/contents/{+path}",
                "compare_url": "https://github.example.net/api/v3/repos/org3/test-repo/compare/{base}...{head}",
                "merges_url": "https://github.example.net/api/v3/repos/org3/test-repo/merges",
                "archive_url": "https://github.example.net/api/v3/repos/org3/test-repo/{archive_format}{/ref}",
                "downloads_url": "https://github.example.net/api/v3/repos/org3/test-repo/downloads",
                "issues_url": "https://github.example.net/api/v3/repos/org3/test-repo/issues{/number}",
                "pulls_url": "https://github.example.net/api/v3/repos/org3/test-repo/pulls{/number}",
                "milestones_url": "https://github.example.net/api/v3/repos/org3/test-repo/milestones{/number}",
                "notifications_url": "https://github.example.net/api/v3/repos/org3/test-repo/notifications{?since,all,participating}",
                "labels_url": "https://github.example.net/api/v3/repos/org3/test-repo/labels{/name}",
                "releases_url": "https://github.example.net/api/v3/repos/org3/test-repo/releases{/id}",
                "deployments_url": "https://github.example.net/api/v3/repos/org3/test-repo/deployments"
            }
        ]
